import { Component, OnInit } from '@angular/core';
import { IgxGridCellComponent } from 'igniteui-angular';
import { DATA } from './person';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit {
  title = 'kb5821-app1';

  public data1: any[];

  constructor() { }

  ngOnInit(): void {
    this.data1 = DATA;
  }

  public changeDate(event, cell: IgxGridCellComponent) {
    const input = event.target.value;
    const parsedDate = new Date(input);
    if (this.isDateValid(parsedDate)) {
      cell.editValue = parsedDate;
      cell.value = parsedDate;
    }
  }

  private isDateValid(date: Date): boolean {
    return (new Date(date).toLocaleString() !== "Invalid Date");
  }
}
